class M5Network(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv1 : __torch__.torch.nn.modules.conv.Conv1d
  bn1 : __torch__.torch.nn.modules.batchnorm.BatchNorm1d
  pool1 : __torch__.torch.nn.modules.pooling.MaxPool1d
  conv2 : __torch__.torch.nn.modules.conv.___torch_mangle_0.Conv1d
  bn2 : __torch__.torch.nn.modules.batchnorm.BatchNorm1d
  pool2 : __torch__.torch.nn.modules.pooling.MaxPool1d
  conv3 : __torch__.torch.nn.modules.conv.___torch_mangle_1.Conv1d
  bn3 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_2.BatchNorm1d
  pool3 : __torch__.torch.nn.modules.pooling.MaxPool1d
  conv4 : __torch__.torch.nn.modules.conv.___torch_mangle_3.Conv1d
  bn4 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_2.BatchNorm1d
  pool4 : __torch__.torch.nn.modules.pooling.MaxPool1d
  fc1 : __torch__.torch.nn.modules.linear.Linear
  def forward(self: __torch__.m5.network.M5Network,
    x: Tensor) -> Tensor:
    _0 = __torch__.torch.nn.functional.log_softmax
    conv1 = self.conv1
    x0 = (conv1).forward(x, )
    bn1 = self.bn1
    x1 = __torch__.torch.nn.functional.relu((bn1).forward(x0, ), False, )
    pool1 = self.pool1
    x2 = (pool1).forward(x1, )
    conv2 = self.conv2
    x3 = (conv2).forward(x2, )
    bn2 = self.bn2
    x4 = __torch__.torch.nn.functional.relu((bn2).forward(x3, ), False, )
    pool2 = self.pool2
    x5 = (pool2).forward(x4, )
    conv3 = self.conv3
    x6 = (conv3).forward(x5, )
    bn3 = self.bn3
    x7 = __torch__.torch.nn.functional.relu((bn3).forward(x6, ), False, )
    pool3 = self.pool3
    x8 = (pool3).forward(x7, )
    conv4 = self.conv4
    x9 = (conv4).forward(x8, )
    bn4 = self.bn4
    x10 = __torch__.torch.nn.functional.relu((bn4).forward(x9, ), False, )
    pool4 = self.pool4
    x11 = (pool4).forward(x10, )
    x12 = torch.avg_pool1d(x11, [(torch.size(x11))[-1]])
    x13 = torch.permute(x12, [0, 2, 1])
    fc1 = self.fc1
    x14 = (fc1).forward(x13, )
    return _0(x14, 2, 3, None, )
